HyperSKU
HyperSKU
  1. Authentication
  • HyperSKU
    • Authentication
      • getToken
        POST
      • accessToken
        POST
      • refreshToken
        POST
    • Product
      • getPrivateProduct
      • getProductInfo
    • Logistics
      • getCountryCode
      • getLogisticsSku
      • /internationalLogisticsInfo/{storeOrderId}
    • Orders
      • cancelOrder
      • create
      • getCustomerInventoryInfo
      • getInventoryHistoryByOrderId
      • getInventoryInfo
      • getOrderInfos
      • getOrdersStatus
      • getStockOrderInfo
      • updateOrderAddress
    • Schemas
      • LoginReqDto
      • CountryCodeReponseDto
      • LoginResDto
      • CustomerInventoryDto
      • InternationalLogisticsInfo
      • OAuth2AccesTokenReq
      • LogisticsDetailDto
      • OAuth2RefreshTokenReq
      • LogisticsReponseDto
      • OAuth2TokenVo
      • LogisticsRequestDto
      • LogisticsResult
      • ObjectRestResponse
      • ObjectRestResponse«LogisticsResult»
      • ObjectRestResponse«OrderAddressInfo»
      • ObjectRestResponse«OrderResult»
      • ObjectRestResponse«OrderStatusInfo»
      • OrderAddressInfo
      • OrderBaseInfo
      • OrderCreateResponse
      • OrderInventoryHistoryDto
      • OrderInventoryResult
      • OrderItemInfo
      • OrderResult
      • OrderStatusInfo
      • OrdersGoodsDto
      • OrdersInfoDto
      • OrdersLogisticsDto
      • OrdersLogisticsTrackInfoVo
      • OrdersLogisticsTrackVo
      • OrdersShipGoodsAliVo
      • OrdersStatusDto
      • OrdersStatusResDto
      • ProductInfoDto
      • RegionCodeDto
      • ShippingAddressDto
      • SkuAttributesDto
      • SkuInfoDto
      • SkuItemDto
      • TableData«OrderInventoryResult»
      • TableData«OrderResult»
      • TableData«ProductInfoDto»
      • TableResultResponse«OrderInventoryResult»
      • TableResultResponse«OrderResult»
      • TableResultResponse«ProductInfoDto»
  1. Authentication

getToken

POST
/admin/token

Quick Authentication (Username & Password)#

For scenarios requiring rapid integration, the platform supports a simplified authentication method using your account credentials.

Step 1: Request API Access#

Before using this method, you must have the API permission enabled for your account.
Please contact your Account Manager to apply for API access.

Step 2: Obtain Access Token#

Once your API access is enabled, you can retrieve an access token by submitting your account username and password.
Request Method: POST
Token Endpoint: https://api.hypersku.com/api/auth/token

Request

Authorization
API Key
Add parameter in header
Authorization
Example:
Authorization: ********************
or
Body Params application/jsonRequired

Examples

Responses

🟢200
*/*
Success
Body*/*

🟢201
🟠401
🟠403
🟠404
⚪60025
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/api/auth/admin/token' \
--header 'Content-Type: application/json' \
--data '{
    "password": "string",
    "username": "string"
}'
Response Response Example
{
    "message": "string",
    "status": 0,
    "token": "string"
}
Modified at 2026-05-15 11:13:49
Next
accessToken
Built with